Package: org.codehaus.groovy.grails.plugins.log4j.web.util

## [Java] Class Log4jConfigListener

- org.codehaus.groovy.grails.plugins.log4j.web.util.Log4jConfigListener

- All Implemented Interfaces and Traits:
    javax.servlet.ServletContextListener

      public class Log4jConfigListener

  Configures Log4j in WAR deployment using Grails Log4j DSL.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent event)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void contextDestroyed(javax.servlet.ServletContextEvent event)

    - #### public void contextInitialized(javax.servlet.ServletContextEvent event)